Bug 1420393 - [3.4] conntrack executable not found on $PATH during cluster horizontal run
Summary: [3.4] conntrack executable not found on $PATH during cluster horizontal run
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.4.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.4.z
Assignee: Giuseppe Scrivano
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On: 1420182 1420395
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 14:46 UTC by Scott Dodson
Modified: 2017-08-30 21:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
OCP 3.4 and 3.3 introduced a requirement on the conntrack executable but this dependency was not enforced at install time so service proxy management may have failed post installation. The installer now ensures that conntrack is installed.
Clone Of: 1420182
Environment:
Last Closed: 2017-03-06 16:38:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1486956 0 unspecified CLOSED Add conntrack-tools as a dependency during OpenShift installation 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2017:0448 0 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-03-06 21:36:25 UTC

Internal Links: 1486956

Comment 1 Scott Dodson 2017-02-08 14:53:02 UTC
This dependency was introduced in 3.3 so cloning to 3.4.1

Comment 2 Giuseppe Scrivano 2017-02-16 19:50:22 UTC
openshift-ansible change: https://github.com/openshift/openshift-ansible/pull/3385

Comment 5 Johnny Liu 2017-02-22 03:16:39 UTC
For containerized install:
# docker run --rm -ti --entrypoint rpm openshift3/node:v3.4.1.8 -q conntrack-tools
conntrack-tools-1.4.3-1.el7.x86_64

Comment 6 Johnny Liu 2017-02-22 11:25:21 UTC
For rpm install, test this bug with openshift-ansible-3.4.64-1.git.0.7bb288c.el7.noarch, and PASS.

The following step is shown in node install.
TASK [openshift_node : Install conntrack-tools package] ************************

After installation, check rpm package.
# rpm -q conntrack-tools
conntrack-tools-1.4.3-1.el7.x86_64

Comment 8 errata-xmlrpc 2017-03-06 16:38:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0448


Note You need to log in before you can comment on or make changes to this bug.